mxPngSuggestedPaletteEntry (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.util.png
Class mxPngSuggestedPaletteEntry

    java.lang.Object
      com.mxgraph.util.png.mxPngSuggestedPaletteEntry

All Implemented Interfaces:
  Serializable

    public class mxPngSuggestedPaletteEntry

extends Object
implements Serializable

A class representing the fields of a PNG suggested palette entry.

This class is not a committed part of the JAI API. It may be removed or changed in future releases of JAI.

See Also:
  Serialized Form

Field Summary
`int` | `alpha` The alpha opacity value of the entry.
`int` | `blue` The blue color value of the entry.
`int` | `frequency` The probable frequency of the color in the image.
`int` | `green` The green color value of the entry.
`String` | `name` The name of the entry.
`int` | `red` The red color value of the entry.
`int` | `sampleDepth` The depth of the color samples.

Constructor Summary
`mxPngSuggestedPaletteEntry()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public String name

  The name of the entry.

### sampleDepth

    public int sampleDepth

  The depth of the color samples.

### red

    public int red

  The red color value of the entry.

### green

    public int green

  The green color value of the entry.

### blue

    public int blue

  The blue color value of the entry.

### alpha

    public int alpha

  The alpha opacity value of the entry.

### frequency

    public int frequency

  The probable frequency of the color in the image.

Constructor Detail

### mxPngSuggestedPaletteEntry

    public mxPngSuggestedPaletteEntry()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.